<script lang="ts" setup>
import type { Booking, Room } from '@/entities';

const { bookings, data } = defineProps<{
  data: any
  bookings: { am: Booking | undefined, pm: Booking | undefined }
}>();

</script>

<template>


  <p>{{ data.date.getDate() }}</p>
  <div class="text-border text" v-if="bookings.am?.room">
    <el-tag class="ml-1" effect="dark" :color="bookings.am.room.color">
      AM : {{ bookings.am.room.name }}
    </el-tag>
  </div>
  <div class="text-border text" v-if="bookings.pm?.room">
    <el-tag class="ml-1" effect="dark" :color="bookings.pm.room.color">
      PM : {{ bookings.pm.room.name }}
    </el-tag>
  </div>

</template>

<style>

</style>